resources:
  App\Entity\Offer\EmbassyPackage:
    normalizationContext:
      groups:
        - 'identifier:read'
        - 'time_trace:read'
        - 'order:read'
        - 'offer_order:read'
        - 'package_offer:read'
        - 'offer:read'
        - 'embassy_package:read'

    denormalizationContext:
      groups:
        - 'embassy_package:write'
        - 'offer_order:write'
        - 'order:write'

    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'embassy_package.order_filter', 'embassy_package.search_filter' ]
        openapiContext:
          summary: EmbassyPackage - List.
          description: >
            Retrieves a list of EmbassyPackage

      ApiPlatform\Metadata\Get:
        openapiContext:
          summary: EmbassyPackage - Item.
          description: >
            Retrieves a item of EmbassyPackage

      ApiPlatform\Metadata\Post:
        openapiContext:
          summary: EmbassyPackage - Create.
          description: >
            create an item of EmbassyPackage
